﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _138118
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
         
            ultraCalendarInfo1.SelectedDateRanges.Add(DateTime.Now, DateTime.Now.AddDays(0));

            Mycreation creation = new Mycreation();
            ultraDayView1.CreationFilter = creation;
            Point loc = new Point(5, 2);

            for (int i = 0; i < 10; i++)
            {
                Infragistics.Win.UltraWinSchedule.Owner o = ultraCalendarInfo1.Owners.Add(string.Format("Owner {0}", i));
                CheckBox c = new CheckBox();
                c.Name = o.Key;
                c.Text = string.Format("Show {0}", o.Key);
                c.Location = loc;
                loc.Offset(0, 23);
                panel1.Controls.Add(c);
                Binding b = c.DataBindings.Add("Checked", o, "Visible");
                b.DataSourceUpdateMode = DataSourceUpdateMode.OnPropertyChanged;
                b.ControlUpdateMode = ControlUpdateMode.OnPropertyChanged;

                creation.OwnerState.Add(o, GetOwnerDataInfoFromDB(o));


                //ultraDayView1.ShowOwnerHeader = Infragistics.Win.DefaultableBoolean.False;
            }

            ultraDayView1.PreferredInViewColumnCount = 3;

            //ultraCalendarInfo1.Owners["{unassigned_owner}"].Visible = false;
            ((Mycreation)ultraDayView1.CreationFilter).OwnerHeaderCheck += Form1_OwnerHeaderCheck;
        }

        private Mycreation.OwnerDataInfo GetOwnerDataInfoFromDB(Infragistics.Win.UltraWinSchedule.Owner o)
        {
            int index = ultraCalendarInfo1.Owners.IndexOf(o);
            Image img = imageList1.Images[index % imageList1.Images.Count];
            string tooltip = string.Format("{0} Tooltip Text with additional information", o.Key);
            bool draft = index % 2 == 0;
            bool complete = index % 3 == 0;

            return new Mycreation.OwnerDataInfo() { Complete = complete, Draft = draft, Icon = img, ToolTip = tooltip };

        }

        void Form1_OwnerHeaderCheck(object sender, OwnerHeaderCheckBoxArg e)
        {
            MessageBox.Show(e.Owner.Key);
        }

        private void ultraDateTimeEditor1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.F2)
            {
                Debug.WriteLine("AAAAAAAAAAA {0}", ultraDateTimeEditor1.Value);
            }
        }
    }
}
